comonad-4.0: Comonads

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Control.Comonad.Hoist.Class

Description

# Documentation

class ComonadHoist t where Source

Methods

cohoist :: (Comonad w, Comonad v) => (forall x. w x -> v x) -> t w a -> t v aSource

Given any comonad-homomorphism from `w` to `v` this yields a comonad homomorphism from `t w` to `t v`.

Instances

ComonadHoist IdentityT |
ComonadHoist (EnvT e) |
ComonadHoist (StoreT s) |
Monoid m => ComonadHoist (TracedT m) |